Skip to main content
POST
/
api
/
v3
/
verifications
/
email-verification
/
send
Send Email Verification Message
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/email-verification/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "otp": "<string>",
  "trustFlowId": "{your_trust_flow_id}",
  "trustValidationId": "{your_trust_validation_id}"
}
'
{
  "success": true,
  "message": "Email verification processed successfully",
  "data": {
    "status": "VERIFIED",
    "attempt": 0
  },
  "verificationStatus": "VERIFIED",
  "verificationStatusCode": 3,
  "trustFlowId": 1710,
  "trustValidationId": "7bbc33d1-h8bb-405a-9486-3ad76455e858",
  "verificationType": "email_verification",
  "metadata": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
email
string<email>
required

Email address to send the verification message to.

trustFlowId
string
required

Trust flow identifier.

trustValidationId
string
required

Trust validation identifier.

otp
integer

Optional one-time passcode. When omitted, the server generates or sends the code via the configured flow.

Response

200 - application/json

Email verification message sent successfully

success
boolean
required
message
string
required
data
object
required
verificationStatus
string
required
verificationStatusCode
integer
required
trustFlowId
integer
required
trustValidationId
string
required
verificationType
string
required
metadata
unknown